@fonts-data: "louis-george-cafe-regular.ttf", "louis-george-cafe-bold.ttf", "louis-george-cafe-bold-italic.ttf", "louis-george-cafe-italic.ttf", "louis-george-cafe-light.ttf", "louis-george-cafe-light-italic.ttf";

/* fonts */
each(@fonts-data, {
    @label: replace(replace(@value, ".ttf", ""), "louis-george-cafe-", "lgc-");
    @data: %("./fonts/%s", @value);

    @font-face{
        font-family: @label;
                src: url(@data);
    }
});

/* sizing */
each(range(1px, 50px, .5), {
    @label: ((@index * .5) * 10) + 5;
    .min-w-@{label} {
        min-width: @value * 10;
    }

    .w-@{label} {
        width: @value * 10;
    }

    .max-w-@{label} {
        max-width: @value * 10;
    }

    .min-h-@{label} {
        min-height: @value * 10;
    }

    .h-@{label} {
        height: @value * 10;
    }

    .max-h-@{label} {
        max-height: @value * 10;
    }
});

/* border */
each(range(1px, 5px, 1), {
    .border-@{index} {
        border: @value solid !important;
    }

    .border-top-@{index} {
            border: none !important;
        border-top: @value solid !important;
    }

    .border-right-@{index} {
              border: none !important;
        border-right: @value solid !important;
    }

    .border-bottom-@{index} {
               border: none !important;
        border-bottom: @value solid !important;
    }

    .border-left-@{index} {
             border: none !important;
        border-left: @value solid !important;
    }

    .border-top-bottom-@{index} {
               border: none !important;
           border-top: @value solid !important;
        border-bottom: @value solid !important;
    }

    .border-left-right-@{index} {
              border: none !important;
         border-left: @value solid !important;
        border-right: @value solid !important;
    }

    .border-top-right-@{index} {
              border: none !important;
          border-top: @value solid !important;
        border-right: @value solid !important;
    }

    .border-bottom-right-@{index} {
               border: none !important;
         border-right: @value solid !important;
        border-bottom: @value solid !important;
    }

    .border-bottom-left-@{index} {
               border: none !important;
          border-left: @value solid !important;
        border-bottom: @value solid !important;
   }

    .border-top-left-@{index} {
             border: none !important;
         border-top: @value solid !important;
        border-left: @value solid !important;
  }
});

/* text sizing */
each(range(0.1rem, 1.8rem, .1), {
    @label: ((@index * .5) * 10) + 5;

    .text-size-@{label} {
        font-size: @value !important;
    }
});

.text-small{
      font-size: .85rem !important;
    line-height: 1.4;
}

.text-mid{
      font-size: .95rem !important;
    line-height: 1.55;
}

.text-large{
      font-size: 1.375rem !important;
    line-height: 1.75;
}

/* position */
each(range(10px, 250px, 10), {
    @label: (@index * 1);

    .vertical-pos-@{label} {
           top: @value;
        bottom: @value;
    }

    .horizontal-pos-@{label} {
         left: @value;
        right: @value;
    }
    
    .top-pos-@{label} {
        top: @value;
    }

    .right-pos-@{label} {
        right: @value;
    }

    .bottom-pos-@{label} {
        bottom: @value;
    }

    .left-pos-@{label} {
        left: @value;
    }
});

.horizontal-lines{
     height: 1px;
     border: none;
     margin: 0;
    display: block;
    padding: 0;
}